Summary:       A library and utilities for processing GIFs
Name:          giflib
Version:       5.2.1
Release:       11%{?dist}
License:       MIT
URL:           http://www.sourceforge.net/projects/%{name}/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Patch0001:     fix-CVE-2022-28506.patch
Patch0002:     fixed-CVE-2023-48161.patch
Patch0003:     fixed-CVE-2021-40633.patch
Patch0004:     fix-CVE-2025-31344.patch
Patch3000:     giflib_quantize.patch
Patch3001:     giflib_coverity.patch
Patch3002:     giflib_html-docs-consistent-ids.patch
Patch3003:     fix-get-args-segment-violation.patch
BuildRequires: gcc make xmlto

%description
The giflib package contains libraries for reading and writing GIFs 
as well as programs for converting and working with GIF files.This 
package is known to build and work properly using an LFS-8.3 platform.

%package devel
Summary:       Development files for programs using the giflib library
Requires:      %{name} = %{version}-%{release}

%description devel
Development libraries and header files for using giflib.

%package utils
Summary:       Programs for manipulating GIF format image files
Requires:      %{name} = %{version}-%{release}

%description utils
The giflib-utils package contains various programs for manipulating
GIF format image files.

%prep
%autosetup -p1

%build
%make_build CFLAGS="%{optflags} -fPIC" LDFLAGS="%{__global_ldflags}"

%install
%make_install PREFIX="%{_prefix}" LIBDIR="%{_libdir}"

rm -f %{buildroot}%{_libdir}/libgif.a

%files
%license COPYING
%doc ChangeLog NEWS README
%{_libdir}/libgif.so.7*

%files devel
%doc doc/*
%{_libdir}/libgif.so
%{_includedir}/gif_lib.h

%files utils
%{_bindir}/gif*
%{_mandir}/man1/*.1*

%changelog
* Thu Apr 17 2025 Zidong Huang <zidonghuang@tencent.com> - 5.2.1-11
- fixed CVE-2025-31344

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.1-10
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Thu Sep 19 2024 Zhao Zhen <jeremiazhao@tencnet.com> - 5.2.1-9
- fixed CVE-2021-40633

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.1-8
- Rebuilt for loongarch release

* Mon Mar 25 2024 Zhao Zhen <jeremiazhao@tencnet.com> - 5.2.1-7
- fixed CVE-2023-48161

* Wed Nov 1 2023 bessiewang <bessiewang@tencent.com> - 5.2.1-6
- fix CVE-2023-39742

* Tue Sep 19 2023 jackeyji <jackeyji@tencent.com> - 5.2.1-5
- fix CVE-2022-28506

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Sep 13 2022 Wang Zhe <bessiewang@tencent.com> - 5.2.1-1
- initial build
